Bug Hunting Session
Bug 67346 - EDITING: Undo broken when pasting text that has been copied from the input line
Summary: EDITING: Undo broken when pasting text that has been copied from the input line
Status: VERIFIED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5 all versions
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.2.5 target:6.2.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-07-26 09:48 UTC by Cor Nouws
Modified: 2018-10-29 22:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2013-07-26 09:48:23 UTC
spreadsheet
type 'Apple' in A1
Enter
Focus back to A1
go to input line (Ctrl-Shft-F2)
copy the text from there
Esc > focus in document
arrow down
Ctrl-V
  > text pasted
Ctrl-Z
  > text remains

I do see a little shift in the rows heigth, but that's not what I use Ctrl-Z for ;)


By the way: I see the probelm now, but it's already broken in 350 beta1-a.
Works OK in 3.4.3
Comment 1 Cor Nouws 2013-07-26 09:48:44 UTC
regression agains 3.4.x
Comment 2 Kohei Yoshida 2014-05-17 04:56:57 UTC
Tested it with 4.2.5 and undo works fine.  Probably fixed a long time ago.
Comment 3 Cor Nouws 2014-06-22 14:10:21 UTC
Top !
Comment 4 Commit Notification 2018-10-29 22:19:58 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/87f57f3aaf90706f1b3e0a9bc22de17378f319f2%5E%21

uitest for bug tdf#67346

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.